<?php

class onLokaRelinksEngineStart extends cmsAction {

    public function run($r){

        $uri = trim($_SERVER['REQUEST_URI']);
        $get = '';
        if(mb_strpos($uri, '?') !== false){
            list($uri, $get) = explode('?', $uri, 2);
            $get = '?'.$get;
        }
        if($uri === '/' || !$uri)return $r;
        
        $uri = $this->model->l_clearRoot($uri);
        
        $target = $this->model->l_getTarget($uri);
        if(!$target)return $r;
        
        switch($target['l_type']){
            
            case 'rewrite':
                $_SERVER['REQUEST_URI'] = '/' . $target['l_target'] . $get;
                cmsTemplate::getInstance()->loka_relinks = $target;
                break;

            case 'redirect':
                $config = cmsConfig::getInstance();
                $this->redirect($config->root . $target['l_target'] . $get);
                break;
        
        }
        
        return $r;

    }

}
